<!DOCTYPE html>
<html>

    <head>
        <meta charset='utf-8'>
        <meta http-equiv='X-UA-Compatible' content='IE=edge'>
        <title>1. lekce</title>
        <meta name='viewport' content='width=device-width, initial-scale=1'>
    

        <!-- 1.zpusob -->
        <!-- <script src="hodina.js"></script>-->

        <!-- 2.zpusob -->
        <script>
            // jeden radek

            /*
               vice radku

               dalsi radek
            */

            console.log("test! druhej")
            console.warn("test warn! error")
            console.error("error")

            let promenna1 = "test 1"
            promenna1 = "test 2"

            const promenna2 = "test 3"
            // nejde promenna2 = "aaa"
            console.log(promenna1)
            console.log(promenna2)

            let studentsSum = 5
            let students_sum = 4
            console.log(studentsSum)
            console.log(students_sum)

            let studentsArray = ["test", 11, "dalsi test", "pavel", promenna1]
            console.log(studentsArray)

            let withDiscount = true //false
            console.log(withDiscount)

            let student = {
                name: "Pavel",
                surname: "Prokes",
                age: 33,
                withDiscount: withDiscount
            }
            console.log(student)


        </script>

    </head>

    <body>
        Ahoj svete!

        <!-- 3.zpusob -->
        <script>
            // tady bude js kod
        </script>


    </body>

</html>